Package org.apache.jorphan.gui

# Class ObjectTableSorter.Row

java.lang.Object
org.apache.jorphan.gui.ObjectTableSorter.Row

Enclosing class:
  ObjectTableSorter

public class ObjectTableSorter.Row extends Object
View row with model mapping. All data relates to model.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Row(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex()`
  `Object`
  `getValue()`
  `Object`
  `getValueAt(int column)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Row

    protected Row(int index)

- ## Method Details

  - ### getIndex

    public int getIndex()

  - ### getValue

    public Object getValue()

  - ### getValueAt

    public Object getValueAt(int column)